<?php
function getBlogLogo($target){
	global $service, $blogid, $blog, $pluginURL, $configVal;
	requireComponent('Textcube.Function.misc');
	$data = misc::fetchConfigVal($configVal);
	if (is_null($data)) {
		$data['bloglogo'] = "default";
		$data['random'] = 0;
	}

	if (!empty($blog['logo'])) {
		$blogLogoSrc = "{$service['path']}/attach/{$blogid}/{$blog['logo']}";
	} else {
		$blogLogoSrc = $pluginURL . "/blank.gif";
	}

	if ($data['bloglogo'] != "default" && $data['bloglogo']) {
		if (file_exists(ROOT."/attach/{$blogid}/blogicon/".$data['bloglogo'])) {
			$tempLogoSrc = "{$service['path']}/attach/{$blogid}/blogicon/".$data['bloglogo'];
		} else {
			$tempLogoSrc = $blogLogoSrc;
		}
	} else {
		$tempLogoSrc = $blogLogoSrc;
	}
	
	if($data['random']){
		$files = array();
		$dir = ROOT . '/attach/'.$blogid.'/blogicon/';
		if(is_dir($dir)) {
			if($handle = opendir($dir)) {
				while(($tempfile = readdir($handle)) !== false) {
					if($tempfile != "." && $tempfile != ".." && $file != "Thumb.db") {
						if(ereg("^\.", $tempfile)) continue;
						array_push($files, "{$service['path']}/attach/{$blogid}/blogicon/".$tempfile);
					}
				}
				closedir($handle);
			}
		}


		if (file_exists(ROOT."/attach/{$blogid}/{$blog['logo']}") && $blog['logo']) {
			array_push($files, "{$service['path']}/attach/{$blogid}/{$blog['logo']}");
		}
		if (count($files) > 0) {
			$tempLogoSrc = $files[array_rand($files)];
		} else {
			$tempLogoSrc = $blogLogoSrc;		
		}
	}

	$target = $tempLogoSrc;
	return $target;
}

function getBlogLogoProcess(){
	global $blogid, $service, $blogURL, $adminSkinSetting;
	require_once('lib/blogLogoProcess.php');
}

function CFG_BlogLogo($plugin){
	global $blogid, $service, $blog, $blogURL, $configVal;
	requireComponent('Textcube.Function.misc');
	$data = misc::fetchConfigVal($configVal);
	$defaultSrc = "{$service['path']}/attach/{$blogid}/{$blog['logo']}";
	$path = ROOT . '/attach/'.$blogid.'/blogicon';
	if (!file_exists($path)) {
		if(!@is_dir(ROOT."/attach/".$blogid)) {mkdir(ROOT."/attach/".$blogid,0777); chmod(ROOT."/attach/".$blogid,0777);}
		if(!@is_dir(ROOT."/attach/".$blogid."/blogicon")) {mkdir(ROOT."/attach/".$blogid."/blogicon",0777); chmod(ROOT."/attach/".$blogid."/blogicon",0777);}
	}
	ob_start();
?>
<script type="text/javascript">
	function alignCenter(win,width,height) {
		try{
			win.moveTo(500/2-width/2,500/2-height/2);
		} catch (e) {}
	}
	var openWindowp = "";
	function logoProcess(filename,flag) {
		var width = 350;
		var height = 163;
		if(openWindowp != "") openWindowp.close();
		openWindowp = window.open("<?php echo $blogURL;?>/plugin/blogLogoProcess/?filename=" + filename + "&flag=" + flag, "upload", "width="+width+",height="+height+",location=0,menubar=0,resizable=0,scrollbars=0,status=0,toolbar=0");
		openWindowp.focus();
		alignCenter(openWindowp,width,height)
	}
</script>
<?
	$logoUploadTag  = ob_get_contents();
	ob_end_clean();
	$logoUploadTag .= "<img src=\"{$service['path']}/plugins/{$plugin}/images/logoupload.gif\" onclick=\"logoProcess('','add');\" title=\"블로그 로고 이미지 업로드.\" style=\"cursor:pointer;\"/>";
	$manifest = NULL;
	$manifest .= '<?xml version="1.0" encoding="utf-8"?>'.CRLF;
	$manifest .= '<config dataValHandler="ThumbnailDataSet">'.CRLF;
	$manifest .= '	<fieldset legend="블로그 로고 관리" >'.CRLF;
	$manifest .= '		<field title=" " name="hidden" type="text" size="1" titledirection="bk" value="" >'.CRLF;
	$manifest .= '			<caption><![CDATA[<style type="text/css">fieldset {padding-bottom:0px !important;} #div_hidden {border-top:0px !important;margin-top:0px !important;} #div_hidden span {display:none;} #div_hidden label {display:none;} #div_hidden .fieldcaption {padding:0px !important;background-color:#ffffff !important;}</style>'.$logoUploadTag.']]></caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title=" " name="viewstyle" type="checkbox" titledirection="bk">'.CRLF;
	$manifest .= '			<op name="random" value="1"><![CDATA[&nbsp;<b><font color="#2B7380">블로그 로고 랜덤출력</font></b>]]></op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title=" " name="bloglogo" type="radio" titledirection="bk" >'.CRLF;
	if(!empty($blog['logo'])&&file_exists(ROOT."/attach/$blogid/{$blog['logo']}")){
		$selectedColor = ($data['bloglogo'] == "default") ? '#9C33BF' : '#787878';
		$manifest .= '			<op value="default" checked="checked"><![CDATA[&nbsp;<font color="'.$selectedColor.'">'.getImageCheck($defaultSrc, 1, $plugin).'</font>]]></op>'.CRLF;
	}else{
		$manifest .= '			<op value="default" checked="checked"><![CDATA[&nbsp;<b>등록된 블로그 로고 없음</b><br />]]></op>'.CRLF;
	}

	$dir = dir($path);
	$files = array();
	while ($tempfile = $dir->read()) {
		if(ereg("^\.", $tempfile)) continue;
		$files[] = $tempfile;
	}
	if($files){
		asort($files);
		foreach ($files as $file){
			$selectedColor = ($data['bloglogo'] == $file) ? '#9C33BF' : '#787878';
			$manifest .= '			<op value="'.$file.'"><![CDATA[&nbsp;<font color="'.$selectedColor.'">'.getImageCheck($file, 2, $plugin).'</font>]]></op>'.CRLF;
		}
	}
	$manifest .= '		</field>'.CRLF;
	$manifest .= '	</fieldset>'.CRLF;
	$manifest .= '</config>';

	return $manifest;
}

function getImageCheck($file, $flag, $plugin){
	global $blogid, $service, $blog;
	if($flag == 1){
		$tempSrc = ROOT."/attach/{$blogid}/{$blog['logo']}";
		$src = $file;
	}else{
		$tempSrc = ROOT."/attach/{$blogid}/blogicon/{$file}";
		$src = "{$service['path']}/attach/{$blogid}/blogicon/{$file}";
	}
	$logoInfo = @getimagesize($tempSrc);
	if($flag == 1){
		$imgTag = "<b>블로그 기본 로고</b>({$logoInfo[0]}x{$logoInfo[1]})<br />";
	}else{
		$imgTag = "<b>{$file}</b>({$logoInfo[0]}x{$logoInfo[1]})<span title=\"로고 이미지 삭제\"><img src=\"{$service['path']}/plugins/{$plugin}/images/delete.gif\" align=\"absmiddle\" style=\"margin-left:2px;\" onclick=\"logoProcess('{$file}','del');\" /></span><br />";
	}
	if($logoInfo[0] > 430){
		$imgTag .= "<div style=\"clear:both;margin-bottom:10px;width:430px;height:80px;overflow:hidden;border:1px solid #000000;background:url({$src}) no-repeat 0 center;cursor:pointer;\" onclick=\"window.open('{$src}'); return false;\" title=\"블로그 로고 이미지\">&nbsp;</div>";
	}else{
		$imgTag .= "<div style=\"clear:both;margin-bottom:10px;width:".$logoInfo[0]."px;height:80px;overflow:hidden;border:1px solid #000000;background:url({$src}) no-repeat 0 center;cursor:pointer;\" onclick=\"window.open('{$src}'); return false;\" title=\"블로그 로고 이미지\">&nbsp;</div>";
	}

	return $imgTag;
}


function getBlogLogoDataSet($DATA){
	requireComponent('Textcube.Function.misc');
	$cfg = misc::fetchConfigVal($DATA);
	if(!$cfg['bloglogo']) return "::선택 오류::\n\n블로그 로고는 적어도 하나이상 선택하셔야 합니다.";
	return true;
}
?>